Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
Class CompositeVisitor

    java.lang.Object
      org.codehaus.groovy.antlr.treewalker.CompositeVisitor

All Implemented Interfaces:
  Visitor

    public class CompositeVisitor
    extends Object
    implements Visitor

A composite of many visitors. Any call to a method from Visitor will invoke each visitor in turn, and reverse the invocation order on a closing visit. i.e. with the list of visitors = [a,b,c] composite.visitDefault() would... call on the opening visit - a.visitDefault() then b.visitDefault() then c.visitDefault() call on the closing visit - c.visitDefault() then b.visitDefault() then a.visitDefault()

Version:
  $Revision: 20591 $
Author:
  Jeremy Rayner

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from interface org.codehaus.groovy.antlr.treewalker.Visitor
`CLOSING_VISIT, OPENING_VISIT, SECOND_VISIT, SUBSEQUENT_VISIT`

Constructor Summary
Constructor and Description
`CompositeVisitor(List visitors)` A composite of the supplied list of antlr AST visitors.

Method Summary
Modifier and Type | Method and Description
--- | ---
`GroovySourceAST` | `pop()`
`void` | `push(GroovySourceAST t)`
`void` | `setUp()`
`void` | `tearDown()`
`void` | `visitAbstract(GroovySourceAST t, int visit)`
`void` | `visitAnnotation(GroovySourceAST t, int visit)`
`void` | `visitAnnotationArrayInit(GroovySourceAST t, int visit)`
`void` | `visitAnnotationDef(GroovySourceAST t, int visit)`
`void` | `visitAnnotationFieldDef(GroovySourceAST t, int visit)`
`void` | `visitAnnotationMemberValuePair(GroovySourceAST t, int visit)`
`void` | `visitAnnotations(GroovySourceAST t, int visit)`
`void` | `visitArrayDeclarator(GroovySourceAST t, int visit)`
`void` | `visitAssign(GroovySourceAST t, int visit)`
`void` | `visitAt(GroovySourceAST t, int visit)`
`void` | `visitBand(GroovySourceAST t, int visit)`
`void` | `visitBandAssign(GroovySourceAST t, int visit)`
`void` | `visitBigSuffix(GroovySourceAST t, int visit)`
`void` | `visitBlock(GroovySourceAST t, int visit)`
`void` | `visitBnot(GroovySourceAST t, int visit)`
`void` | `visitBor(GroovySourceAST t, int visit)`
`void` | `visitBorAssign(GroovySourceAST t, int visit)`
`void` | `visitBsr(GroovySourceAST t, int visit)`
`void` | `visitBsrAssign(GroovySourceAST t, int visit)`
`void` | `visitBxor(GroovySourceAST t, int visit)`
`void` | `visitBxorAssign(GroovySourceAST t, int visit)`
`void` | `visitCaseGroup(GroovySourceAST t, int visit)`
`void` | `visitClassDef(GroovySourceAST t, int visit)`
`void` | `visitClosedBlock(GroovySourceAST t, int visit)`
`void` | `visitClosureList(GroovySourceAST t, int visit)`
`void` | `visitClosureOp(GroovySourceAST t, int visit)`
`void` | `visitColon(GroovySourceAST t, int visit)`
`void` | `visitComma(GroovySourceAST t, int visit)`
`void` | `visitCompareTo(GroovySourceAST t, int visit)`
`void` | `visitCtorCall(GroovySourceAST t, int visit)`
`void` | `visitCtorIdent(GroovySourceAST t, int visit)`
`void` | `visitDec(GroovySourceAST t, int visit)`
`void` | `visitDefault(GroovySourceAST t, int visit)`
`void` | `visitDigit(GroovySourceAST t, int visit)`
`void` | `visitDiv(GroovySourceAST t, int visit)`
`void` | `visitDivAssign(GroovySourceAST t, int visit)`
`void` | `visitDollar(GroovySourceAST t, int visit)`
`void` | `visitDot(GroovySourceAST t, int visit)`
`void` | `visitDynamicMember(GroovySourceAST t, int visit)`
`void` | `visitElist(GroovySourceAST t, int visit)`
`void` | `visitEmptyStat(GroovySourceAST t, int visit)`
`void` | `visitEnumConstantDef(GroovySourceAST t, int visit)`
`void` | `visitEnumDef(GroovySourceAST t, int visit)`
`void` | `visitEof(GroovySourceAST t, int visit)`
`void` | `visitEqual(GroovySourceAST t, int visit)`
`void` | `visitEsc(GroovySourceAST t, int visit)`
`void` | `visitExponent(GroovySourceAST t, int visit)`
`void` | `visitExpr(GroovySourceAST t, int visit)`
`void` | `visitExtendsClause(GroovySourceAST t, int visit)`
`void` | `visitFinal(GroovySourceAST t, int visit)`
`void` | `visitFloatSuffix(GroovySourceAST t, int visit)`
`void` | `visitForCondition(GroovySourceAST t, int visit)`
`void` | `visitForEachClause(GroovySourceAST t, int visit)`
`void` | `visitForInit(GroovySourceAST t, int visit)`
`void` | `visitForInIterable(GroovySourceAST t, int visit)`
`void` | `visitForIterator(GroovySourceAST t, int visit)`
`void` | `visitGe(GroovySourceAST t, int visit)`
`void` | `visitGt(GroovySourceAST t, int visit)`
`void` | `visitHexDigit(GroovySourceAST t, int visit)`
`void` | `visitIdent(GroovySourceAST t, int visit)`
`void` | `visitImplementsClause(GroovySourceAST t, int visit)`
`void` | `visitImplicitParameters(GroovySourceAST t, int visit)`
`void` | `visitImport(GroovySourceAST t, int visit)`
`void` | `visitInc(GroovySourceAST t, int visit)`
`void` | `visitIndexOp(GroovySourceAST t, int visit)`
`void` | `visitInstanceInit(GroovySourceAST t, int visit)`
`void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
`void` | `visitLabeledArg(GroovySourceAST t, int visit)`
`void` | `visitLabeledStat(GroovySourceAST t, int visit)`
`void` | `visitLand(GroovySourceAST t, int visit)`
`void` | `visitLbrack(GroovySourceAST t, int visit)`
`void` | `visitLcurly(GroovySourceAST t, int visit)`
`void` | `visitLe(GroovySourceAST t, int visit)`
`void` | `visitLetter(GroovySourceAST t, int visit)`
`void` | `visitListConstructor(GroovySourceAST t, int visit)`
`void` | `visitLiteralAs(GroovySourceAST t, int visit)`
`void` | `visitLiteralAssert(GroovySourceAST t, int visit)`
`void` | `visitLiteralBoolean(GroovySourceAST t, int visit)`
`void` | `visitLiteralBreak(GroovySourceAST t, int visit)`
`void` | `visitLiteralByte(GroovySourceAST t, int visit)`
`void` | `visitLiteralCase(GroovySourceAST t, int visit)`
`void` | `visitLiteralCatch(GroovySourceAST t, int visit)`
`void` | `visitLiteralChar(GroovySourceAST t, int visit)`
`void` | `visitLiteralClass(GroovySourceAST t, int visit)`
`void` | `visitLiteralContinue(GroovySourceAST t, int visit)`
`void` | `visitLiteralDef(GroovySourceAST t, int visit)`
`void` | `visitLiteralDefault(GroovySourceAST t, int visit)`
`void` | `visitLiteralDouble(GroovySourceAST t, int visit)`
`void` | `visitLiteralElse(GroovySourceAST t, int visit)`
`void` | `visitLiteralEnum(GroovySourceAST t, int visit)`
`void` | `visitLiteralExtends(GroovySourceAST t, int visit)`
`void` | `visitLiteralFalse(GroovySourceAST t, int visit)`
`void` | `visitLiteralFinally(GroovySourceAST t, int visit)`
`void` | `visitLiteralFloat(GroovySourceAST t, int visit)`
`void` | `visitLiteralFor(GroovySourceAST t, int visit)`
`void` | `visitLiteralIf(GroovySourceAST t, int visit)`
`void` | `visitLiteralImplements(GroovySourceAST t, int visit)`
`void` | `visitLiteralImport(GroovySourceAST t, int visit)`
`void` | `visitLiteralIn(GroovySourceAST t, int visit)`
`void` | `visitLiteralInstanceof(GroovySourceAST t, int visit)`
`void` | `visitLiteralInt(GroovySourceAST t, int visit)`
`void` | `visitLiteralInterface(GroovySourceAST t, int visit)`
`void` | `visitLiteralLong(GroovySourceAST t, int visit)`
`void` | `visitLiteralNative(GroovySourceAST t, int visit)`
`void` | `visitLiteralNew(GroovySourceAST t, int visit)`
`void` | `visitLiteralNull(GroovySourceAST t, int visit)`
`void` | `visitLiteralPackage(GroovySourceAST t, int visit)`
`void` | `visitLiteralPrivate(GroovySourceAST t, int visit)`
`void` | `visitLiteralProtected(GroovySourceAST t, int visit)`
`void` | `visitLiteralPublic(GroovySourceAST t, int visit)`
`void` | `visitLiteralReturn(GroovySourceAST t, int visit)`
`void` | `visitLiteralShort(GroovySourceAST t, int visit)`
`void` | `visitLiteralStatic(GroovySourceAST t, int visit)`
`void` | `visitLiteralSuper(GroovySourceAST t, int visit)`
`void` | `visitLiteralSwitch(GroovySourceAST t, int visit)`
`void` | `visitLiteralSynchronized(GroovySourceAST t, int visit)`
`void` | `visitLiteralThis(GroovySourceAST t, int visit)`
`void` | `visitLiteralThreadsafe(GroovySourceAST t, int visit)`
`void` | `visitLiteralThrow(GroovySourceAST t, int visit)`
`void` | `visitLiteralThrows(GroovySourceAST t, int visit)`
`void` | `visitLiteralTransient(GroovySourceAST t, int visit)`
`void` | `visitLiteralTrue(GroovySourceAST t, int visit)`
`void` | `visitLiteralTry(GroovySourceAST t, int visit)`
`void` | `visitLiteralVoid(GroovySourceAST t, int visit)`
`void` | `visitLiteralVolatile(GroovySourceAST t, int visit)`
`void` | `visitLiteralWhile(GroovySourceAST t, int visit)`
`void` | `visitLnot(GroovySourceAST t, int visit)`
`void` | `visitLor(GroovySourceAST t, int visit)`
`void` | `visitLparen(GroovySourceAST t, int visit)`
`void` | `visitLt(GroovySourceAST t, int visit)`
`void` | `visitMapConstructor(GroovySourceAST t, int visit)`
`void` | `visitMemberPointer(GroovySourceAST t, int visit)`
`void` | `visitMethodCall(GroovySourceAST t, int visit)`
`void` | `visitMethodDef(GroovySourceAST t, int visit)`
`void` | `visitMinus(GroovySourceAST t, int visit)`
`void` | `visitMinusAssign(GroovySourceAST t, int visit)`
`void` | `visitMlComment(GroovySourceAST t, int visit)`
`void` | `visitMod(GroovySourceAST t, int visit)`
`void` | `visitModAssign(GroovySourceAST t, int visit)`
`void` | `visitModifiers(GroovySourceAST t, int visit)`
`void` | `visitNls(GroovySourceAST t, int visit)`
`void` | `visitNotEqual(GroovySourceAST t, int visit)`
`void` | `visitNullTreeLookahead(GroovySourceAST t, int visit)`
`void` | `visitNumBigDecimal(GroovySourceAST t, int visit)`
`void` | `visitNumBigInt(GroovySourceAST t, int visit)`
`void` | `visitNumDouble(GroovySourceAST t, int visit)`
`void` | `visitNumFloat(GroovySourceAST t, int visit)`
`void` | `visitNumInt(GroovySourceAST t, int visit)`
`void` | `visitNumLong(GroovySourceAST t, int visit)`
`void` | `visitObjblock(GroovySourceAST t, int visit)`
`void` | `visitOneNl(GroovySourceAST t, int visit)`
`void` | `visitOptionalDot(GroovySourceAST t, int visit)`
`void` | `visitPackageDef(GroovySourceAST t, int visit)`
`void` | `visitParameterDef(GroovySourceAST t, int visit)`
`void` | `visitParameters(GroovySourceAST t, int visit)`
`void` | `visitPlus(GroovySourceAST t, int visit)`
`void` | `visitPlusAssign(GroovySourceAST t, int visit)`
`void` | `visitPostDec(GroovySourceAST t, int visit)`
`void` | `visitPostInc(GroovySourceAST t, int visit)`
`void` | `visitQuestion(GroovySourceAST t, int visit)`
`void` | `visitRangeExclusive(GroovySourceAST t, int visit)`
`void` | `visitRangeInclusive(GroovySourceAST t, int visit)`
`void` | `visitRbrack(GroovySourceAST t, int visit)`
`void` | `visitRcurly(GroovySourceAST t, int visit)`
`void` | `visitRegexFind(GroovySourceAST t, int visit)`
`void` | `visitRegexMatch(GroovySourceAST t, int visit)`
`void` | `visitRegexpCtorEnd(GroovySourceAST t, int visit)`
`void` | `visitRegexpLiteral(GroovySourceAST t, int visit)`
`void` | `visitRegexpSymbol(GroovySourceAST t, int visit)`
`void` | `visitRparen(GroovySourceAST t, int visit)`
`void` | `visitSelectSlot(GroovySourceAST t, int visit)`
`void` | `visitSemi(GroovySourceAST t, int visit)`
`void` | `visitShComment(GroovySourceAST t, int visit)`
`void` | `visitSl(GroovySourceAST t, int visit)`
`void` | `visitSlAssign(GroovySourceAST t, int visit)`
`void` | `visitSlComment(GroovySourceAST t, int visit)`
`void` | `visitSlist(GroovySourceAST t, int visit)`
`void` | `visitSpreadArg(GroovySourceAST t, int visit)`
`void` | `visitSpreadDot(GroovySourceAST t, int visit)`
`void` | `visitSpreadMapArg(GroovySourceAST t, int visit)`
`void` | `visitSr(GroovySourceAST t, int visit)`
`void` | `visitSrAssign(GroovySourceAST t, int visit)`
`void` | `visitStar(GroovySourceAST t, int visit)`
`void` | `visitStarAssign(GroovySourceAST t, int visit)`
`void` | `visitStarStar(GroovySourceAST t, int visit)`
`void` | `visitStarStarAssign(GroovySourceAST t, int visit)`
`void` | `visitStaticImport(GroovySourceAST t, int visit)`
`void` | `visitStaticInit(GroovySourceAST t, int visit)`
`void` | `visitStrictfp(GroovySourceAST t, int visit)`
`void` | `visitStringCh(GroovySourceAST t, int visit)`
`void` | `visitStringConstructor(GroovySourceAST t, int visit)`
`void` | `visitStringCtorEnd(GroovySourceAST t, int visit)`
`void` | `visitStringCtorMiddle(GroovySourceAST t, int visit)`
`void` | `visitStringCtorStart(GroovySourceAST t, int visit)`
`void` | `visitStringLiteral(GroovySourceAST t, int visit)`
`void` | `visitStringNl(GroovySourceAST t, int visit)`
`void` | `visitSuperCtorCall(GroovySourceAST t, int visit)`
`void` | `visitTripleDot(GroovySourceAST t, int visit)`
`void` | `visitType(GroovySourceAST t, int visit)`
`void` | `visitTypeArgument(GroovySourceAST t, int visit)`
`void` | `visitTypeArguments(GroovySourceAST t, int visit)`
`void` | `visitTypecast(GroovySourceAST t, int visit)`
`void` | `visitTypeLowerBounds(GroovySourceAST t, int visit)`
`void` | `visitTypeParameter(GroovySourceAST t, int visit)`
`void` | `visitTypeParameters(GroovySourceAST t, int visit)`
`void` | `visitTypeUpperBounds(GroovySourceAST t, int visit)`
`void` | `visitUnaryMinus(GroovySourceAST t, int visit)`
`void` | `visitUnaryPlus(GroovySourceAST t, int visit)`
`void` | `visitUnusedConst(GroovySourceAST t, int visit)`
`void` | `visitUnusedDo(GroovySourceAST t, int visit)`
`void` | `visitUnusedGoto(GroovySourceAST t, int visit)`
`void` | `visitVariableDef(GroovySourceAST t, int visit)`
`void` | `visitVariableParameterDef(GroovySourceAST t, int visit)`
`void` | `visitVocab(GroovySourceAST t, int visit)`
`void` | `visitWildcardType(GroovySourceAST t, int visit)`
`void` | `visitWs(GroovySourceAST t, int visit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeVisitor

    public CompositeVisitor(List visitors)

  A composite of the supplied list of antlr AST visitors.

  Parameters:
    `visitors` - a List of implementations of the Visitor interface

Method Detail

### setUp

    public void setUp()

  Specified by:
    `setUp` in interface `Visitor`

### visitAbstract

    public void visitAbstract(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitAbstract` in interface `Visitor`

### visitAnnotation

    public void visitAnnotation(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitAnnotation` in interface `Visitor`

### visitAnnotations

    public void visitAnnotations(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitAnnotations` in interface `Visitor`

### visitAnnotationArrayInit

    public void visitAnnotationArrayInit(GroovySourceAST t,
                                         int visit)

  Specified by:
    `visitAnnotationArrayInit` in interface `Visitor`

### visitAnnotationDef

    public void visitAnnotationDef(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitAnnotationDef` in interface `Visitor`

### visitAnnotationFieldDef

    public void visitAnnotationFieldDef(GroovySourceAST t,
                                        int visit)

  Specified by:
    `visitAnnotationFieldDef` in interface `Visitor`

### visitAnnotationMemberValuePair

    public void visitAnnotationMemberValuePair(GroovySourceAST t,
                                               int visit)

  Specified by:
    `visitAnnotationMemberValuePair` in interface `Visitor`

### visitArrayDeclarator

    public void visitArrayDeclarator(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitArrayDeclarator` in interface `Visitor`

### visitAssign

    public void visitAssign(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitAssign` in interface `Visitor`

### visitAt

    public void visitAt(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitAt` in interface `Visitor`

### visitBand

    public void visitBand(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitBand` in interface `Visitor`

### visitBandAssign

    public void visitBandAssign(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitBandAssign` in interface `Visitor`

### visitBigSuffix

    public void visitBigSuffix(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitBigSuffix` in interface `Visitor`

### visitBlock

    public void visitBlock(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitBlock` in interface `Visitor`

### visitBnot

    public void visitBnot(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitBnot` in interface `Visitor`

### visitBor

    public void visitBor(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitBor` in interface `Visitor`

### visitBorAssign

    public void visitBorAssign(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitBorAssign` in interface `Visitor`

### visitBsr

    public void visitBsr(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitBsr` in interface `Visitor`

### visitBsrAssign

    public void visitBsrAssign(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitBsrAssign` in interface `Visitor`

### visitBxor

    public void visitBxor(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitBxor` in interface `Visitor`

### visitBxorAssign

    public void visitBxorAssign(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitBxorAssign` in interface `Visitor`

### visitCaseGroup

    public void visitCaseGroup(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitCaseGroup` in interface `Visitor`

### visitClassDef

    public void visitClassDef(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitClassDef` in interface `Visitor`

### visitClosedBlock

    public void visitClosedBlock(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitClosedBlock` in interface `Visitor`

### visitClosureList

    public void visitClosureList(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitClosureList` in interface `Visitor`

### visitClosureOp

    public void visitClosureOp(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitClosureOp` in interface `Visitor`

### visitColon

    public void visitColon(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitColon` in interface `Visitor`

### visitComma

    public void visitComma(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitComma` in interface `Visitor`

### visitCompareTo

    public void visitCompareTo(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitCompareTo` in interface `Visitor`

### visitCtorCall

    public void visitCtorCall(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitCtorCall` in interface `Visitor`

### visitCtorIdent

    public void visitCtorIdent(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitCtorIdent` in interface `Visitor`

### visitDec

    public void visitDec(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitDec` in interface `Visitor`

### visitDigit

    public void visitDigit(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitDigit` in interface `Visitor`

### visitDiv

    public void visitDiv(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitDiv` in interface `Visitor`

### visitDivAssign

    public void visitDivAssign(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitDivAssign` in interface `Visitor`

### visitDollar

    public void visitDollar(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitDollar` in interface `Visitor`

### visitDot

    public void visitDot(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitDot` in interface `Visitor`

### visitDynamicMember

    public void visitDynamicMember(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitDynamicMember` in interface `Visitor`

### visitElist

    public void visitElist(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitElist` in interface `Visitor`

### visitEmptyStat

    public void visitEmptyStat(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitEmptyStat` in interface `Visitor`

### visitEnumConstantDef

    public void visitEnumConstantDef(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitEnumConstantDef` in interface `Visitor`

### visitEnumDef

    public void visitEnumDef(GroovySourceAST t,
                             int visit)

  Specified by:
    `visitEnumDef` in interface `Visitor`

### visitEof

    public void visitEof(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitEof` in interface `Visitor`

### visitEqual

    public void visitEqual(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitEqual` in interface `Visitor`

### visitEsc

    public void visitEsc(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitEsc` in interface `Visitor`

### visitExponent

    public void visitExponent(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitExponent` in interface `Visitor`

### visitExpr

    public void visitExpr(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitExpr` in interface `Visitor`

### visitExtendsClause

    public void visitExtendsClause(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitExtendsClause` in interface `Visitor`

### visitFinal

    public void visitFinal(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitFinal` in interface `Visitor`

### visitFloatSuffix

    public void visitFloatSuffix(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitFloatSuffix` in interface `Visitor`

### visitForCondition

    public void visitForCondition(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitForCondition` in interface `Visitor`

### visitForEachClause

    public void visitForEachClause(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitForEachClause` in interface `Visitor`

### visitForInit

    public void visitForInit(GroovySourceAST t,
                             int visit)

  Specified by:
    `visitForInit` in interface `Visitor`

### visitForInIterable

    public void visitForInIterable(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitForInIterable` in interface `Visitor`

### visitForIterator

    public void visitForIterator(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitForIterator` in interface `Visitor`

### visitGe

    public void visitGe(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitGe` in interface `Visitor`

### visitGt

    public void visitGt(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitGt` in interface `Visitor`

### visitHexDigit

    public void visitHexDigit(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitHexDigit` in interface `Visitor`

### visitIdent

    public void visitIdent(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitIdent` in interface `Visitor`

### visitImplementsClause

    public void visitImplementsClause(GroovySourceAST t,
                                      int visit)

  Specified by:
    `visitImplementsClause` in interface `Visitor`

### visitImplicitParameters

    public void visitImplicitParameters(GroovySourceAST t,
                                        int visit)

  Specified by:
    `visitImplicitParameters` in interface `Visitor`

### visitImport

    public void visitImport(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitImport` in interface `Visitor`

### visitInc

    public void visitInc(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitInc` in interface `Visitor`

### visitIndexOp

    public void visitIndexOp(GroovySourceAST t,
                             int visit)

  Specified by:
    `visitIndexOp` in interface `Visitor`

### visitInstanceInit

    public void visitInstanceInit(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitInstanceInit` in interface `Visitor`

### visitInterfaceDef

    public void visitInterfaceDef(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitInterfaceDef` in interface `Visitor`

### visitLabeledArg

    public void visitLabeledArg(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitLabeledArg` in interface `Visitor`

### visitLabeledStat

    public void visitLabeledStat(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLabeledStat` in interface `Visitor`

### visitLand

    public void visitLand(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitLand` in interface `Visitor`

### visitLbrack

    public void visitLbrack(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitLbrack` in interface `Visitor`

### visitLcurly

    public void visitLcurly(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitLcurly` in interface `Visitor`

### visitLe

    public void visitLe(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitLe` in interface `Visitor`

### visitLetter

    public void visitLetter(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitLetter` in interface `Visitor`

### visitListConstructor

    public void visitListConstructor(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitListConstructor` in interface `Visitor`

### visitLiteralAs

    public void visitLiteralAs(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitLiteralAs` in interface `Visitor`

### visitLiteralAssert

    public void visitLiteralAssert(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralAssert` in interface `Visitor`

### visitLiteralBoolean

    public void visitLiteralBoolean(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitLiteralBoolean` in interface `Visitor`

### visitLiteralBreak

    public void visitLiteralBreak(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralBreak` in interface `Visitor`

### visitLiteralByte

    public void visitLiteralByte(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralByte` in interface `Visitor`

### visitLiteralCase

    public void visitLiteralCase(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralCase` in interface `Visitor`

### visitLiteralCatch

    public void visitLiteralCatch(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralCatch` in interface `Visitor`

### visitLiteralChar

    public void visitLiteralChar(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralChar` in interface `Visitor`

### visitLiteralClass

    public void visitLiteralClass(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralClass` in interface `Visitor`

### visitLiteralContinue

    public void visitLiteralContinue(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitLiteralContinue` in interface `Visitor`

### visitLiteralDef

    public void visitLiteralDef(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitLiteralDef` in interface `Visitor`

### visitLiteralDefault

    public void visitLiteralDefault(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitLiteralDefault` in interface `Visitor`

### visitLiteralDouble

    public void visitLiteralDouble(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralDouble` in interface `Visitor`

### visitLiteralElse

    public void visitLiteralElse(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralElse` in interface `Visitor`

### visitLiteralEnum

    public void visitLiteralEnum(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralEnum` in interface `Visitor`

### visitLiteralExtends

    public void visitLiteralExtends(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitLiteralExtends` in interface `Visitor`

### visitLiteralFalse

    public void visitLiteralFalse(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralFalse` in interface `Visitor`

### visitLiteralFinally

    public void visitLiteralFinally(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitLiteralFinally` in interface `Visitor`

### visitLiteralFloat

    public void visitLiteralFloat(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralFloat` in interface `Visitor`

### visitLiteralFor

    public void visitLiteralFor(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitLiteralFor` in interface `Visitor`

### visitLiteralIf

    public void visitLiteralIf(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitLiteralIf` in interface `Visitor`

### visitLiteralImplements

    public void visitLiteralImplements(GroovySourceAST t,
                                       int visit)

  Specified by:
    `visitLiteralImplements` in interface `Visitor`

### visitLiteralImport

    public void visitLiteralImport(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralImport` in interface `Visitor`

### visitLiteralIn

    public void visitLiteralIn(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitLiteralIn` in interface `Visitor`

### visitLiteralInstanceof

    public void visitLiteralInstanceof(GroovySourceAST t,
                                       int visit)

  Specified by:
    `visitLiteralInstanceof` in interface `Visitor`

### visitLiteralInt

    public void visitLiteralInt(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitLiteralInt` in interface `Visitor`

### visitLiteralInterface

    public void visitLiteralInterface(GroovySourceAST t,
                                      int visit)

  Specified by:
    `visitLiteralInterface` in interface `Visitor`

### visitLiteralLong

    public void visitLiteralLong(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralLong` in interface `Visitor`

### visitLiteralNative

    public void visitLiteralNative(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralNative` in interface `Visitor`

### visitLiteralNew

    public void visitLiteralNew(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitLiteralNew` in interface `Visitor`

### visitLiteralNull

    public void visitLiteralNull(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralNull` in interface `Visitor`

### visitLiteralPackage

    public void visitLiteralPackage(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitLiteralPackage` in interface `Visitor`

### visitLiteralPrivate

    public void visitLiteralPrivate(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitLiteralPrivate` in interface `Visitor`

### visitLiteralProtected

    public void visitLiteralProtected(GroovySourceAST t,
                                      int visit)

  Specified by:
    `visitLiteralProtected` in interface `Visitor`

### visitLiteralPublic

    public void visitLiteralPublic(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralPublic` in interface `Visitor`

### visitLiteralReturn

    public void visitLiteralReturn(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralReturn` in interface `Visitor`

### visitLiteralShort

    public void visitLiteralShort(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralShort` in interface `Visitor`

### visitLiteralStatic

    public void visitLiteralStatic(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralStatic` in interface `Visitor`

### visitLiteralSuper

    public void visitLiteralSuper(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralSuper` in interface `Visitor`

### visitLiteralSwitch

    public void visitLiteralSwitch(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralSwitch` in interface `Visitor`

### visitLiteralSynchronized

    public void visitLiteralSynchronized(GroovySourceAST t,
                                         int visit)

  Specified by:
    `visitLiteralSynchronized` in interface `Visitor`

### visitLiteralThis

    public void visitLiteralThis(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralThis` in interface `Visitor`

### visitLiteralThreadsafe

    public void visitLiteralThreadsafe(GroovySourceAST t,
                                       int visit)

  Specified by:
    `visitLiteralThreadsafe` in interface `Visitor`

### visitLiteralThrow

    public void visitLiteralThrow(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralThrow` in interface `Visitor`

### visitLiteralThrows

    public void visitLiteralThrows(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitLiteralThrows` in interface `Visitor`

### visitLiteralTransient

    public void visitLiteralTransient(GroovySourceAST t,
                                      int visit)

  Specified by:
    `visitLiteralTransient` in interface `Visitor`

### visitLiteralTrue

    public void visitLiteralTrue(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralTrue` in interface `Visitor`

### visitLiteralTry

    public void visitLiteralTry(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitLiteralTry` in interface `Visitor`

### visitLiteralVoid

    public void visitLiteralVoid(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitLiteralVoid` in interface `Visitor`

### visitLiteralVolatile

    public void visitLiteralVolatile(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitLiteralVolatile` in interface `Visitor`

### visitLiteralWhile

    public void visitLiteralWhile(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitLiteralWhile` in interface `Visitor`

### visitLnot

    public void visitLnot(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitLnot` in interface `Visitor`

### visitLor

    public void visitLor(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitLor` in interface `Visitor`

### visitLparen

    public void visitLparen(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitLparen` in interface `Visitor`

### visitLt

    public void visitLt(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitLt` in interface `Visitor`

### visitMapConstructor

    public void visitMapConstructor(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitMapConstructor` in interface `Visitor`

### visitMemberPointer

    public void visitMemberPointer(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitMemberPointer` in interface `Visitor`

### visitMethodCall

    public void visitMethodCall(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitMethodCall` in interface `Visitor`

### visitMethodDef

    public void visitMethodDef(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitMethodDef` in interface `Visitor`

### visitMinus

    public void visitMinus(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitMinus` in interface `Visitor`

### visitMinusAssign

    public void visitMinusAssign(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitMinusAssign` in interface `Visitor`

### visitMlComment

    public void visitMlComment(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitMlComment` in interface `Visitor`

### visitMod

    public void visitMod(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitMod` in interface `Visitor`

### visitModifiers

    public void visitModifiers(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitModifiers` in interface `Visitor`

### visitModAssign

    public void visitModAssign(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitModAssign` in interface `Visitor`

### visitNls

    public void visitNls(GroovySourceAST t,
                         int visit)

  Specified by:
    `visitNls` in interface `Visitor`

### visitNotEqual

    public void visitNotEqual(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitNotEqual` in interface `Visitor`

### visitNullTreeLookahead

    public void visitNullTreeLookahead(GroovySourceAST t,
                                       int visit)

  Specified by:
    `visitNullTreeLookahead` in interface `Visitor`

### visitNumBigDecimal

    public void visitNumBigDecimal(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitNumBigDecimal` in interface `Visitor`

### visitNumBigInt

    public void visitNumBigInt(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitNumBigInt` in interface `Visitor`

### visitNumDouble

    public void visitNumDouble(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitNumDouble` in interface `Visitor`

### visitNumFloat

    public void visitNumFloat(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitNumFloat` in interface `Visitor`

### visitNumInt

    public void visitNumInt(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitNumInt` in interface `Visitor`

### visitNumLong

    public void visitNumLong(GroovySourceAST t,
                             int visit)

  Specified by:
    `visitNumLong` in interface `Visitor`

### visitObjblock

    public void visitObjblock(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitObjblock` in interface `Visitor`

### visitOneNl

    public void visitOneNl(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitOneNl` in interface `Visitor`

### visitOptionalDot

    public void visitOptionalDot(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitOptionalDot` in interface `Visitor`

### visitPackageDef

    public void visitPackageDef(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitPackageDef` in interface `Visitor`

### visitParameters

    public void visitParameters(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitParameters` in interface `Visitor`

### visitParameterDef

    public void visitParameterDef(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitParameterDef` in interface `Visitor`

### visitPlus

    public void visitPlus(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitPlus` in interface `Visitor`

### visitPlusAssign

    public void visitPlusAssign(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitPlusAssign` in interface `Visitor`

### visitPostDec

    public void visitPostDec(GroovySourceAST t,
                             int visit)

  Specified by:
    `visitPostDec` in interface `Visitor`

### visitPostInc

    public void visitPostInc(GroovySourceAST t,
                             int visit)

  Specified by:
    `visitPostInc` in interface `Visitor`

### visitQuestion

    public void visitQuestion(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitQuestion` in interface `Visitor`

### visitRangeExclusive

    public void visitRangeExclusive(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitRangeExclusive` in interface `Visitor`

### visitRangeInclusive

    public void visitRangeInclusive(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitRangeInclusive` in interface `Visitor`

### visitRbrack

    public void visitRbrack(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitRbrack` in interface `Visitor`

### visitRcurly

    public void visitRcurly(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitRcurly` in interface `Visitor`

### visitRegexpCtorEnd

    public void visitRegexpCtorEnd(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitRegexpCtorEnd` in interface `Visitor`

### visitRegexpLiteral

    public void visitRegexpLiteral(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitRegexpLiteral` in interface `Visitor`

### visitRegexpSymbol

    public void visitRegexpSymbol(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitRegexpSymbol` in interface `Visitor`

### visitRegexFind

    public void visitRegexFind(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitRegexFind` in interface `Visitor`

### visitRegexMatch

    public void visitRegexMatch(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitRegexMatch` in interface `Visitor`

### visitRparen

    public void visitRparen(GroovySourceAST t,
                            int visit)

  Specified by:
    `visitRparen` in interface `Visitor`

### visitSelectSlot

    public void visitSelectSlot(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitSelectSlot` in interface `Visitor`

### visitSemi

    public void visitSemi(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitSemi` in interface `Visitor`

### visitShComment

    public void visitShComment(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitShComment` in interface `Visitor`

### visitSl

    public void visitSl(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitSl` in interface `Visitor`

### visitSlist

    public void visitSlist(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitSlist` in interface `Visitor`

### visitSlAssign

    public void visitSlAssign(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitSlAssign` in interface `Visitor`

### visitSlComment

    public void visitSlComment(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitSlComment` in interface `Visitor`

### visitSpreadArg

    public void visitSpreadArg(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitSpreadArg` in interface `Visitor`

### visitSpreadDot

    public void visitSpreadDot(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitSpreadDot` in interface `Visitor`

### visitSpreadMapArg

    public void visitSpreadMapArg(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitSpreadMapArg` in interface `Visitor`

### visitSr

    public void visitSr(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitSr` in interface `Visitor`

### visitSrAssign

    public void visitSrAssign(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitSrAssign` in interface `Visitor`

### visitStar

    public void visitStar(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitStar` in interface `Visitor`

### visitStarAssign

    public void visitStarAssign(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitStarAssign` in interface `Visitor`

### visitStarStar

    public void visitStarStar(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitStarStar` in interface `Visitor`

### visitStarStarAssign

    public void visitStarStarAssign(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitStarStarAssign` in interface `Visitor`

### visitStaticImport

    public void visitStaticImport(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitStaticImport` in interface `Visitor`

### visitStaticInit

    public void visitStaticInit(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitStaticInit` in interface `Visitor`

### visitStrictfp

    public void visitStrictfp(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitStrictfp` in interface `Visitor`

### visitStringCh

    public void visitStringCh(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitStringCh` in interface `Visitor`

### visitStringConstructor

    public void visitStringConstructor(GroovySourceAST t,
                                       int visit)

  Specified by:
    `visitStringConstructor` in interface `Visitor`

### visitStringCtorEnd

    public void visitStringCtorEnd(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitStringCtorEnd` in interface `Visitor`

### visitStringCtorMiddle

    public void visitStringCtorMiddle(GroovySourceAST t,
                                      int visit)

  Specified by:
    `visitStringCtorMiddle` in interface `Visitor`

### visitStringCtorStart

    public void visitStringCtorStart(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitStringCtorStart` in interface `Visitor`

### visitStringLiteral

    public void visitStringLiteral(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitStringLiteral` in interface `Visitor`

### visitStringNl

    public void visitStringNl(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitStringNl` in interface `Visitor`

### visitSuperCtorCall

    public void visitSuperCtorCall(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitSuperCtorCall` in interface `Visitor`

### visitTripleDot

    public void visitTripleDot(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitTripleDot` in interface `Visitor`

### visitType

    public void visitType(GroovySourceAST t,
                          int visit)

  Specified by:
    `visitType` in interface `Visitor`

### visitTypecast

    public void visitTypecast(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitTypecast` in interface `Visitor`

### visitTypeArgument

    public void visitTypeArgument(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitTypeArgument` in interface `Visitor`

### visitTypeArguments

    public void visitTypeArguments(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitTypeArguments` in interface `Visitor`

### visitTypeLowerBounds

    public void visitTypeLowerBounds(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitTypeLowerBounds` in interface `Visitor`

### visitTypeParameter

    public void visitTypeParameter(GroovySourceAST t,
                                   int visit)

  Specified by:
    `visitTypeParameter` in interface `Visitor`

### visitTypeParameters

    public void visitTypeParameters(GroovySourceAST t,
                                    int visit)

  Specified by:
    `visitTypeParameters` in interface `Visitor`

### visitTypeUpperBounds

    public void visitTypeUpperBounds(GroovySourceAST t,
                                     int visit)

  Specified by:
    `visitTypeUpperBounds` in interface `Visitor`

### visitUnaryMinus

    public void visitUnaryMinus(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitUnaryMinus` in interface `Visitor`

### visitUnaryPlus

    public void visitUnaryPlus(GroovySourceAST t,
                               int visit)

  Specified by:
    `visitUnaryPlus` in interface `Visitor`

### visitUnusedConst

    public void visitUnusedConst(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitUnusedConst` in interface `Visitor`

### visitUnusedDo

    public void visitUnusedDo(GroovySourceAST t,
                              int visit)

  Specified by:
    `visitUnusedDo` in interface `Visitor`

### visitUnusedGoto

    public void visitUnusedGoto(GroovySourceAST t,
                                int visit)

  Specified by:
    `visitUnusedGoto` in interface `Visitor`

### visitVariableDef

    public void visitVariableDef(GroovySourceAST t,
                                 int visit)

  Specified by:
    `visitVariableDef` in interface `Visitor`

### visitVariableParameterDef

    public void visitVariableParameterDef(GroovySourceAST t,
                                          int visit)

  Specified by:
    `visitVariableParameterDef` in interface `Visitor`

### visitVocab

    public void visitVocab(GroovySourceAST t,
                           int visit)

  Specified by:
    `visitVocab` in interface `Visitor`

### visitWildcardType

    public void visitWildcardType(GroovySourceAST t,
                                  int visit)

  Specified by:
    `visitWildcardType` in interface `Visitor`

### visitWs

    public void visitWs(GroovySourceAST t,
                        int visit)

  Specified by:
    `visitWs` in interface `Visitor`

### visitDefault

    public void visitDefault(GroovySourceAST t,
                             int visit)

  Specified by:
    `visitDefault` in interface `Visitor`

### tearDown

    public void tearDown()

  Specified by:
    `tearDown` in interface `Visitor`

### push

    public void push(GroovySourceAST t)

  Specified by:
    `push` in interface `Visitor`

### pop

    public GroovySourceAST pop()

  Specified by:
    `pop` in interface `Visitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD